[arch-commits] Commit in efibootmgr/repos (6 files)

Tobias Powalowski tpowa at nymeria.archlinux.org
Mon Feb 24 11:47:14 UTC 2014


    Date: Monday, February 24, 2014 @ 12:47:14
  Author: tpowa
Revision: 206360

archrelease: copy trunk to testing-x86_64, testing-i686

Added:
  efibootmgr/repos/testing-i686/
  efibootmgr/repos/testing-i686/PKGBUILD
    (from rev 206359, efibootmgr/trunk/PKGBUILD)
  efibootmgr/repos/testing-i686/efibootmgr-tilt_slashes-func.patch
    (from rev 206359, efibootmgr/trunk/efibootmgr-tilt_slashes-func.patch)
  efibootmgr/repos/testing-x86_64/
  efibootmgr/repos/testing-x86_64/PKGBUILD
    (from rev 206359, efibootmgr/trunk/PKGBUILD)
  efibootmgr/repos/testing-x86_64/efibootmgr-tilt_slashes-func.patch
    (from rev 206359, efibootmgr/trunk/efibootmgr-tilt_slashes-func.patch)

---------------------------------------------------+
 testing-i686/PKGBUILD                             |   57 ++++++++++++++++++
 testing-i686/efibootmgr-tilt_slashes-func.patch   |   61 ++++++++++++++++++++
 testing-x86_64/PKGBUILD                           |   57 ++++++++++++++++++
 testing-x86_64/efibootmgr-tilt_slashes-func.patch |   61 ++++++++++++++++++++
 4 files changed, 236 insertions(+)

Copied: efibootmgr/repos/testing-i686/PKGBUILD (from rev 206359, efibootmgr/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2014-02-24 11:47:14 UTC (rev 206360)
@@ -0,0 +1,57 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: Murtuza Akhtari <inxsible at gmail dot com>
+# Contributor: Keshav Amburay <(the ddoott ridikulus ddoott rat) (aatt) (gemmaeiil) (ddoott) (ccoomm)>
+
+_pkgname="efibootmgr"
+pkgname="${_pkgname}"
+
+_gitroot="https://github.com/vathpela/efibootmgr.git"
+_gitname="${_pkgname}"
+_gitbranch="master"
+
+_GIT_COMMIT="f4e29e4200ed1e866c9cf98d2ebdcb8ac2e9826c"
+
+pkgver=0.6.1.29.gf4e29e4
+pkgrel=1
+pkgdesc="Tool to modify UEFI Firmware Boot Manager Variables"
+arch=('x86_64' 'i686')
+url="https://github.com/vathpela/efibootmgr"
+license=('GPL2')
+makedepends=('git')
+depends=('pciutils' 'efivar' 'zlib')
+conflicts=("${_pkgname}-pjones")
+provides=("${_pkgname}-pjones=${pkgver}")
+options=('strip' 'zipman' '!emptydirs')
+
+source=("${_gitname}::git+${_gitroot}#commit=${_GIT_COMMIT}")
+sha1sums=('SKIP')
+
+pkgver() {
+	cd "${srcdir}/${_gitname}/"
+	echo "$(git describe --tags)" | sed -e 's|-|\.|g'
+}
+
+build() {
+	
+	rm -rf "${srcdir}/${_gitname}_build/" || true
+	cp -r "${srcdir}/${_gitname}" "${srcdir}/${_gitname}_build"
+	
+	cd "${srcdir}/${_gitname}_build/"
+	
+	make EXTRA_CFLAGS="-Os"
+	echo
+	
+}
+
+package() {
+	
+	cd "${srcdir}/${_gitname}_build/"
+	
+	install -d "${pkgdir}/usr/bin/"
+	install -D -m0755 "${srcdir}/${_gitname}_build/src/efibootmgr/efibootmgr" "${pkgdir}/usr/bin/efibootmgr"
+	
+	install -d "${pkgdir}/usr/share/man/man8/"
+	install -D -m0644 "${srcdir}/${_gitname}_build/src/man/man8/efibootmgr.8" "${pkgdir}/usr/share/man/man8/efibootmgr.8"
+	
+}

Copied: efibootmgr/repos/testing-i686/efibootmgr-tilt_slashes-func.patch (from rev 206359, efibootmgr/trunk/efibootmgr-tilt_slashes-func.patch)
===================================================================
--- testing-i686/efibootmgr-tilt_slashes-func.patch	                        (rev 0)
+++ testing-i686/efibootmgr-tilt_slashes-func.patch	2014-02-24 11:47:14 UTC (rev 206360)
@@ -0,0 +1,61 @@
+diff --git a/src/efibootmgr/efibootmgr.c b/src/efibootmgr/efibootmgr.c
+index 236365a..9883961 100644
+--- a/src/efibootmgr/efibootmgr.c
++++ b/src/efibootmgr/efibootmgr.c
+@@ -803,6 +803,7 @@ usage()
+ 	printf("\t-V | --version          return version and exit\n");
+ 	printf("\t-w | --write-signature  write unique sig to MBR if needed\n");
+ 	printf("\t-@ | --append-binary-args file  append extra args from file (use \"-\" for stdin)\n");
++	printf("\t   | --help             show help/usage\n");
+ }
+ 
+ static void
+@@ -863,6 +864,7 @@ parse_opts(int argc, char **argv)
+ 			{"version",                no_argument, 0, 'V'},
+ 			{"write-signature",        no_argument, 0, 'w'},
+ 			{"append-binary-args", required_argument, 0, '@'},
++			{"help",                   no_argument, 0,   2},
+ 			{0, 0, 0, 0}
+ 		};
+ 
+@@ -1014,6 +1016,10 @@ parse_opts(int argc, char **argv)
+ 			opts.write_signature = 1;
+ 			break;
+ 
++		case 2:
++			usage();
++			exit(1);
++
+ 		default:
+ 			usage();
+ 			exit(1);
+diff --git a/src/lib/efi.c b/src/lib/efi.c
+index a4ce5cf..8ef8be8 100644
+--- a/src/lib/efi.c
++++ b/src/lib/efi.c
+@@ -70,6 +70,16 @@ efi_guid_unparse(efi_guid_t *guid, char *out)
+         return out;
+ }
+ 
++char *
++tilt_slashes(char *s)
++{
++	char *p;
++	for (p = s; *p; p++)
++		if (*p == '/')
++			*p = '\\';
++	return s;
++}
++
+ void
+ set_fs_kernel_calls()
+ {
+@@ -535,7 +545,7 @@ char *make_disk_load_option(char *p, char *disk)
+ 				     signature,
+ 				     mbr_type, signature_type);
+ 
+-    efichar_from_char(os_loader_path, opts.loader, sizeof(os_loader_path));
++    efichar_from_char(os_loader_path, tilt_slashes(opts.loader), sizeof(os_loader_path));
+     p += make_file_path_device_path (p, os_loader_path);
+     p += make_end_device_path       (p);
+ 

Copied: efibootmgr/repos/testing-x86_64/PKGBUILD (from rev 206359, efibootmgr/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2014-02-24 11:47:14 UTC (rev 206360)
@@ -0,0 +1,57 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: Murtuza Akhtari <inxsible at gmail dot com>
+# Contributor: Keshav Amburay <(the ddoott ridikulus ddoott rat) (aatt) (gemmaeiil) (ddoott) (ccoomm)>
+
+_pkgname="efibootmgr"
+pkgname="${_pkgname}"
+
+_gitroot="https://github.com/vathpela/efibootmgr.git"
+_gitname="${_pkgname}"
+_gitbranch="master"
+
+_GIT_COMMIT="f4e29e4200ed1e866c9cf98d2ebdcb8ac2e9826c"
+
+pkgver=0.6.1.29.gf4e29e4
+pkgrel=1
+pkgdesc="Tool to modify UEFI Firmware Boot Manager Variables"
+arch=('x86_64' 'i686')
+url="https://github.com/vathpela/efibootmgr"
+license=('GPL2')
+makedepends=('git')
+depends=('pciutils' 'efivar' 'zlib')
+conflicts=("${_pkgname}-pjones")
+provides=("${_pkgname}-pjones=${pkgver}")
+options=('strip' 'zipman' '!emptydirs')
+
+source=("${_gitname}::git+${_gitroot}#commit=${_GIT_COMMIT}")
+sha1sums=('SKIP')
+
+pkgver() {
+	cd "${srcdir}/${_gitname}/"
+	echo "$(git describe --tags)" | sed -e 's|-|\.|g'
+}
+
+build() {
+	
+	rm -rf "${srcdir}/${_gitname}_build/" || true
+	cp -r "${srcdir}/${_gitname}" "${srcdir}/${_gitname}_build"
+	
+	cd "${srcdir}/${_gitname}_build/"
+	
+	make EXTRA_CFLAGS="-Os"
+	echo
+	
+}
+
+package() {
+	
+	cd "${srcdir}/${_gitname}_build/"
+	
+	install -d "${pkgdir}/usr/bin/"
+	install -D -m0755 "${srcdir}/${_gitname}_build/src/efibootmgr/efibootmgr" "${pkgdir}/usr/bin/efibootmgr"
+	
+	install -d "${pkgdir}/usr/share/man/man8/"
+	install -D -m0644 "${srcdir}/${_gitname}_build/src/man/man8/efibootmgr.8" "${pkgdir}/usr/share/man/man8/efibootmgr.8"
+	
+}

Copied: efibootmgr/repos/testing-x86_64/efibootmgr-tilt_slashes-func.patch (from rev 206359, efibootmgr/trunk/efibootmgr-tilt_slashes-func.patch)
===================================================================
--- testing-x86_64/efibootmgr-tilt_slashes-func.patch	                        (rev 0)
+++ testing-x86_64/efibootmgr-tilt_slashes-func.patch	2014-02-24 11:47:14 UTC (rev 206360)
@@ -0,0 +1,61 @@
+diff --git a/src/efibootmgr/efibootmgr.c b/src/efibootmgr/efibootmgr.c
+index 236365a..9883961 100644
+--- a/src/efibootmgr/efibootmgr.c
++++ b/src/efibootmgr/efibootmgr.c
+@@ -803,6 +803,7 @@ usage()
+ 	printf("\t-V | --version          return version and exit\n");
+ 	printf("\t-w | --write-signature  write unique sig to MBR if needed\n");
+ 	printf("\t-@ | --append-binary-args file  append extra args from file (use \"-\" for stdin)\n");
++	printf("\t   | --help             show help/usage\n");
+ }
+ 
+ static void
+@@ -863,6 +864,7 @@ parse_opts(int argc, char **argv)
+ 			{"version",                no_argument, 0, 'V'},
+ 			{"write-signature",        no_argument, 0, 'w'},
+ 			{"append-binary-args", required_argument, 0, '@'},
++			{"help",                   no_argument, 0,   2},
+ 			{0, 0, 0, 0}
+ 		};
+ 
+@@ -1014,6 +1016,10 @@ parse_opts(int argc, char **argv)
+ 			opts.write_signature = 1;
+ 			break;
+ 
++		case 2:
++			usage();
++			exit(1);
++
+ 		default:
+ 			usage();
+ 			exit(1);
+diff --git a/src/lib/efi.c b/src/lib/efi.c
+index a4ce5cf..8ef8be8 100644
+--- a/src/lib/efi.c
++++ b/src/lib/efi.c
+@@ -70,6 +70,16 @@ efi_guid_unparse(efi_guid_t *guid, char *out)
+         return out;
+ }
+ 
++char *
++tilt_slashes(char *s)
++{
++	char *p;
++	for (p = s; *p; p++)
++		if (*p == '/')
++			*p = '\\';
++	return s;
++}
++
+ void
+ set_fs_kernel_calls()
+ {
+@@ -535,7 +545,7 @@ char *make_disk_load_option(char *p, char *disk)
+ 				     signature,
+ 				     mbr_type, signature_type);
+ 
+-    efichar_from_char(os_loader_path, opts.loader, sizeof(os_loader_path));
++    efichar_from_char(os_loader_path, tilt_slashes(opts.loader), sizeof(os_loader_path));
+     p += make_file_path_device_path (p, os_loader_path);
+     p += make_end_device_path       (p);
+ 




More information about the arch-commits mailing list